Module ij
Package ij.gui

# Class NonBlockingGenericDialog

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Dialog
ij.gui.GenericDialog
ij.gui.NonBlockingGenericDialog

All Implemented Interfaces:
  `ActionListener`, `AdjustmentListener`, `FocusListener`, `ItemListener`, `KeyListener`, `TextListener`, `WindowListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`

public class NonBlockingGenericDialog extends GenericDialog
This is an extension of GenericDialog that is non-modal.

Author:
  Johannes Schindelin
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.awt.Dialog

`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

## Nested classes/interfaces inherited from class java.awt.Window

`Window.AccessibleAWTWindow, Window.Type`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields inherited from class ij.gui.GenericDialog

`checkbox, choice, defaultChoiceIndexes, defaultStrings, defaultText, defaultValues, instance, numberField, radioButtonGroups, slider, stringField, textArea1, textArea2, theLabel`

### Fields inherited from class java.awt.Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`NonBlockingGenericDialog(String title)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`dispose()`
Closes the dialog; records the options
`void`
`keyPressed(KeyEvent e)`
`static GenericDialog`
`newDialog(String title)`
Obsolete, replaced by GUI.newNonBlockingDialog(String).
`static GenericDialog`
`newDialog(String title, ImagePlus imp)`
Obsolete, replaced by GUI.newNonBlockingDialog(String,ImagePlus).
`void`
`showDialog()`
Displays this dialog box.
`void`
`windowActivated(WindowEvent e)`
Put the dialog into the foreground when the image we work on gets into the foreground
`void`
`windowClosing(WindowEvent e)`

### Methods inherited from class ij.gui.GenericDialog

`addButton, addCheckbox, addCheckboxGroup, addCheckboxGroup, addChoice, addDialogListener, addDirectoryField, addDirectoryField, addEnumChoice, addEnumChoice, addFileField, addFileField, addHelp, addImage, addImageChoice, addMessage, addMessage, addMessage, addNumericField, addNumericField, addNumericField, addPanel, addPanel, addPreviewCheckbox, addPreviewCheckbox, addRadioButtonGroup, addSlider, addSlider, addStringField, addStringField, addTextAreas, addToSameRow, adjustmentValueChanged, centerDialog, enableYesNoCancel, enableYesNoCancel, focusGained, focusLost, getButtons, getCheckboxes, getChoices, getErrorMessage, getInsets, getInstance, getLabel, getMessage, getNextBoolean, getNextChoice, getNextChoiceIndex, getNextEnumChoice, getNextImage, getNextNumber, getNextRadioButton, getNextString, getNextText, getNumericFields, getPreviewCheckbox, getRadioButtonGroups, getSliders, getStringFields, getTextArea1, getTextArea2, getValue, hideCancelButton, invalidNumber, isMacro, isPreviewActive, itemStateChanged, keyReleased, keyTyped, paint, parseDouble, previewRunning, repaint, resetCounters, setCancelLabel, setDefaultString, setEchoChar, setFont, setHelpLabel, setInsets, setLocation, setOKLabel, setSmartRecording, setup, textValueChanged, wasCanceled, wasOKed, windowClosed, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

### Methods inherited from class java.awt.Dialog

`addNotify, getAccessibleContext, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, paramString, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, update, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonBlockingGenericDialog

public NonBlockingGenericDialog(String title)

## Method Details

### showDialog

public void showDialog()
Description copied from class: `GenericDialog`
Displays this dialog box.

Overrides:
  `showDialog` in class `GenericDialog`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`
Overrides:
  `actionPerformed` in class `GenericDialog`

### keyPressed

public void keyPressed(KeyEvent e)

Specified by:
  `keyPressed` in interface `KeyListener`
Overrides:
  `keyPressed` in class `GenericDialog`

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`
Overrides:
  `windowClosing` in class `GenericDialog`

### dispose

public void dispose()
Description copied from class: `GenericDialog`
Closes the dialog; records the options

Overrides:
  `dispose` in class `GenericDialog`

### newDialog

public static GenericDialog newDialog(String title, ImagePlus imp)
Obsolete, replaced by GUI.newNonBlockingDialog(String,ImagePlus).

### newDialog

public static GenericDialog newDialog(String title)
Obsolete, replaced by GUI.newNonBlockingDialog(String).

### windowActivated

public void windowActivated(WindowEvent e)
Put the dialog into the foreground when the image we work on gets into the foreground

Specified by:
  `windowActivated` in interface `WindowListener`
Overrides:
  `windowActivated` in class `GenericDialog`